[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Themes' (#lcl)

# TThemeServices.DrawIcon

Draws the icon for a theme element.

## Declaration

Source position: themes.pas line 494

`public procedure TThemeServices.DrawIcon(`
`DC: HDC;`
`Details: TThemedElementDetails;`
`const R: TRect;`
`himl: HIMAGELIST;`
`Index: Integer`
`); virtual; overload; procedure TThemeServices.DrawIcon(`
`ACanvas: TPersistent;`
`Details: TThemedElementDetails;`
`const P: TPoint;`
`AImageList: TPersistent;`
`Index: Integer;`
`AImageWidth: Integer = 0;`
`ARefControl: TPersistent = Nil`
`); virtual; overload;`

## Description

Overloaded to provide Windows and non-Windows variants. Overridden in the TWin32ThemeServices descendant for compatibility with Delphi.